#
#	SCCS: @(#)shared.mk	1.8 (97/12/03)
#
#	UniSoft Ltd., London, England
#
# (C) Copyright 1996 X/Open Company Limited
#
# All rights reserved.  No part of this source code may be reproduced,
# stored in a retrieval system, or transmitted, in any form or by any
# means, electronic, mechanical, photocopying, recording or otherwise,
# except as stated in the end-user licence agreement, without the prior
# permission of the copyright owners.
# A copy of the end-user licence agreement is contained in the file
# Licence which accompanies this distribution.
# 
# X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
# the UK and other countries.
#
# ************************************************************************
#
# SCCS:   	@(#)shared.mk	1.8 97/12/03
# NAME:		shared.mk
# PRODUCT:	TETware
# AUTHOR:	Geoff Clare, UniSoft Ltd.
# DATE CREATED:	October 1996
#
# DESCRIPTION:
#	make include file, shared between apilib and apithr
# 
# MODIFICATIONS:
#
# ************************************************************************


# list of source files for lint
API_CFILES = dconfig.c dresfile.c dcancel.c errno.c exit.c \
	getlist.c getsys.c remtime.c sync.c tciface.c tdiscon.c \
	tet_exec.c tet_fork.c tet_spawn.c

# list of .o files to be included in both libraries
# note that tet_1fork.o is only included in the thread-safe library
# and remexec.o, remwait.o, remkill.o and rtab.o are excluded from
# the thread-safe library
API_OFILES = dconfig$O dresfile$O dcancel$O errno$O exit$O \
	getlist$O getsys$O remtime$O sync$O tciface$O tdiscon$O \
	tet_exec$O tet_afork$O tet_spawn$O

# list of .o files to be included only in the thread-safe library
APITHR_OFILES = tet_1fork$O


# compilations using TET_CFLAGS

dcancel$O: $(APISRC)dcancel.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)dcancel.c

dconfig$O: $(APISRC)dconfig.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)dconfig.c

dresfile$O: $(APISRC)dresfile.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)dresfile.c

errno$O: $(APISRC)errno.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)errno.c

exit$O: $(APISRC)exit.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)exit.c

getlist$O: $(APISRC)getlist.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)getlist.c

getsys$O: $(APISRC)getsys.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)getsys.c

remexec$O: $(APISRC)remexec.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)remexec.c

remkill$O: $(APISRC)remkill.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)remkill.c

remtime$O: $(APISRC)remtime.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)remtime.c

remwait$O: $(APISRC)remwait.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)remwait.c

rtab$O: $(APISRC)rtab.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)rtab.c

sync$O: $(APISRC)sync.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)sync.c

tciface$O: $(APISRC)tciface.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)tciface.c

tdiscon$O: $(APISRC)tdiscon.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)tdiscon.c

tet_exec$O: $(APISRC)tet_exec.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)tet_exec.c

tet_1fork$O: $(APISRC)tet_fork.c
	$(CC) $(TET_CFLAGS) -DFORK1 -c $(APISRC)tet_fork.c
	mv tet_fork$O $@

tet_afork$O: $(APISRC)tet_fork.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)tet_fork.c
	mv tet_fork$O $@

tet_spawn$O: $(APISRC)tet_spawn.c
	$(CC) $(TET_CFLAGS) -c $(APISRC)tet_spawn.c

# dependencies

dcancel$O: $(DINC)/tet_api.h $(INC)/bstring.h $(INC)/dtetlib.h $(INC)/dtmac.h

dconfig$O: $(DINC)/tet_api.h $(INC)/apilib.h $(INC)/dtetlib.h $(INC)/dtmac.h \
	$(INC)/ltoa.h

dresfile$O: $(DINC)/tet_api.h $(DINC)/tet_jrnl.h $(INC)/apilib.h \
	$(INC)/dtetlib.h $(INC)/dtmac.h $(INC)/dtmsg.h $(INC)/dtthr.h \
	$(INC)/error.h $(INC)/ltoa.h $(INC)/servlib.h

errno$O: $(DINC)/tet_api.h $(INC)/dtmac.h $(INC)/dtthr.h $(INC)/error.h

exit$O: $(DINC)/tet_api.h $(INC)/dtetlib.h $(INC)/dtmac.h $(INC)/dtmsg.h \
	$(INC)/dtthr.h $(INC)/ptab.h $(INC)/servlib.h $(INC)/sigsafe.h \
	$(INC)/tslib.h

getlist$O: $(DINC)/tet_api.h $(INC)/apilib.h $(INC)/dtetlib.h $(INC)/dtmac.h \
	$(INC)/dtthr.h

getsys$O: $(DINC)/tet_api.h $(INC)/dtmac.h $(INC)/dtthr.h $(INC)/sysent.h

remexec$O: $(DINC)/tet_api.h $(INC)/apilib.h $(INC)/avmsg.h $(INC)/bitset.h \
	$(INC)/config.h $(INC)/dtetlib.h $(INC)/dtmac.h $(INC)/dtmsg.h \
	$(INC)/error.h $(INC)/ltoa.h $(INC)/ptab.h $(INC)/servlib.h \
	$(INC)/sigsafe.h $(INC)/synreq.h $(INC)/sysent.h $(APISRC)rtab.h

remkill$O: $(DINC)/tet_api.h $(INC)/dtmac.h $(INC)/dtmsg.h $(INC)/ptab.h \
	$(INC)/servlib.h $(INC)/valmsg.h $(APISRC)rtab.h

remtime$O: $(DINC)/tet_api.h $(INC)/dtmac.h $(INC)/dtmsg.h $(INC)/dtthr.h \
	$(INC)/ptab.h $(INC)/servlib.h $(INC)/sysent.h

remwait$O: $(DINC)/tet_api.h $(INC)/dtetlib.h $(INC)/dtmac.h $(INC)/dtmsg.h \
	$(INC)/ptab.h $(INC)/servlib.h $(INC)/sigsafe.h $(INC)/valmsg.h \
	$(APISRC)rtab.h

rtab$O: $(INC)/bstring.h $(INC)/dtmac.h $(INC)/error.h $(INC)/llist.h \
	$(INC)/ltoa.h $(APISRC)rtab.h

sync$O: $(DINC)/tet_api.h $(DINC)/tet_jrnl.h $(INC)/apilib.h $(INC)/dtetlib.h \
	$(INC)/dtmac.h $(INC)/dtmsg.h $(INC)/dtthr.h $(INC)/error.h \
	$(INC)/ltoa.h $(INC)/servlib.h $(INC)/synreq.h

tciface$O: $(DINC)/tet_api.h $(INC)/dtmac.h

tdiscon$O: $(DINC)/tet_api.h $(INC)/apilib.h $(INC)/dtmac.h $(INC)/dtmsg.h \
	$(INC)/ptab.h $(INC)/tslib.h

tet_exec$O: $(DINC)/tet_api.h $(INC)/apilib.h $(INC)/dtetlib.h $(INC)/dtmac.h \
	$(INC)/dtthr.h $(INC)/error.h $(INC)/servlib.h

tet_1fork$O tet_afork$O: $(DINC)/tet_api.h $(INC)/alarm.h $(INC)/apilib.h \
	$(INC)/dtetlib.h $(INC)/dtmac.h $(INC)/dtthr.h $(INC)/error.h

tet_spawn$O: $(DINC)/tet_api.h $(INC)/apilib.h $(INC)/dtetlib.h \
	$(INC)/dtmac.h $(INC)/dtthr.h $(INC)/error.h $(INC)/servlib.h

