/*
 *	SCCS: @(#)apilib.h	1.1 (97/06/16)
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1997 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 * A copy of the end-user licence agreement is contained in the file
 * Licence which accompanies this distribution.
 * 
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/************************************************************************

SCCS:   	@(#)apilib.h	1.1 97/06/16 TETware release 3.2
NAME:		apilib.h
PRODUCT:	TETware
AUTHOR:		Andrew Dingwall, UniSoft Ltd.
DATE CREATED:	June 1997

DESCRIPTION:
	declarations of extern functions and data items,
	not declared in other header files,
	which are used in the TCM and API

	since one of the function prototypes includes a pid_t,
	this file must be included after tet_api.h

MODIFICATIONS:

************************************************************************/

extern long tet_activity;	/* TCC activity number */
extern int tet_combined_ok;	/* true if xres file is usable */
extern long tet_context;	/* journal context number */

#ifdef TET_THREADS
   extern long *tet_thr_block PROTOLIST((void));
#  define tet_block	(*tet_thr_block())
   extern long *tet_thr_sequence PROTOLIST((void));
#  define tet_sequence	(*tet_thr_sequence())
   extern long tet_next_block;
#else
   extern long tet_block;	/* journal block number */
   extern long tet_sequence;	/* journal sequence number */
#endif

#ifdef TET_LITE	/* -LITE-CUT-LINE- */
   extern char *tet_tmpresfile;	/* temporary results file name */
#else		/* -START-LITE-CUT- */
   extern int tet_iclast;	/* highest defined IC number */
   extern int tet_sync_del;	/* true when TP deleted in another TCM */
   extern int *tet_snames;	/* system name list */
   extern int tet_Nsname;	/* number of system names */
   extern long tet_snid;	/* sync ID for this test case */
   extern long tet_xrid;	/* xres ID for this test case */
#endif		/* -END-LITE-CUT- */

extern void tet_config PROTOLIST((void));
extern void tet_error PROTOLIST((int, char *));
extern void tet_exec_cleanup PROTOLIST((char **, char **, char **));
extern int tet_exec_prep PROTOLIST((char *[], char *[], char ***, char ***));
extern void tet_icend PROTOLIST((int, int));
extern void tet_icstart PROTOLIST((int, int));
extern int tet_killw PROTOLIST((pid_t, unsigned int));
extern void tet_merror PROTOLIST((int, char **, int));
extern char *tet_signame PROTOLIST((int));
extern void tet_tcmstart PROTOLIST((char *, int));
extern void tet_tpend PROTOLIST((int, int, int));
extern void tet_tpstart PROTOLIST((int, int, int));

#ifdef TET_LITE /* -LITE-CUT-LINE- */
   extern void tet_openres PROTOLIST((void));
#else		/* -START-LITE-CUT- */
   extern void tet_disconnect PROTOLIST((void));
#endif		/* -END-LITE-CUT- */

