/*
 *      SCCS:  @(#)sysent.h	1.6 (96/11/04) 
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 * (C) Copyright 1994 UniSoft Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

/************************************************************************

SCCS:   	@(#)sysent.h	1.6 96/11/04 TETware release 3.2
NAME:		sysent.h
PRODUCT:	TETware
AUTHOR:		Andrew Dingwall, UniSoft Ltd.
DATE CREATED:	April 1992

DESCRIPTION:
	a header file for use with the systems file access functions

MODIFICATIONS:

	Denis McConalogue, UniSoft Ltd.
	XTI enhancements - allow TCCD addresses to be included in the
	systems file.

	Andrew Dingwall, UniSoft Ltd., December 1993
	enhancements for FIFO transport interface


************************************************************************/

/*
**	DTET systems are known internally by (numeric) sysid
**	a sysid is mapped to a system (or host) name by an entry in the
**	systems file
**	a system name may be used by transport-specific routines to
**	determine how to connect to that system; however, the systems file
**	itself only contains transport specific data when XTI is the
**	underlying transport interface. 
**
**	INET specific transport routines do not use the sy_tccd field.
**
**	There are no host names when the FIFO transport interface is used,
**	since all the logical systems must exist on a single physical machine.
**	In this case, the second field contains the user name associated
**	with tccd's user ID.
**	In most cases, this will be the same for all systems since there
**	will be only one parent tccd running on a particular machine.
**	However, if it is required to have more than one parent tccd 
**	(eg: because they run with different user IDs), then different
**	user names can be specified for different system IDs.
*/

/* structure of a systems table entry */
struct sysent {
	int sy_sysid;		/* system id */
	char *sy_name;		/* system name */
	char *sy_tccd;		/* TCCD daemon XTI address */
};

/* the second field contains tccd's user name when the FIFO transport
	is used */
#define sy_user sy_name


/* extern function declarations */
extern void tet_libendsysent PROTOLIST((void));
extern struct sysent *tet_libgetsysbyid PROTOLIST((int));
extern struct sysent *tet_libgetsysent PROTOLIST((void));
extern int tet_libsetsysent PROTOLIST((void));

