/*
 *      SCCS:  @(#)modetoi.c	1.4 (96/11/04) 
 *
 *	UniSoft Ltd., London, England
 *
 * (C) Copyright 1992 X/Open Company Limited
 *
 * All rights reserved.  No part of this source code may be reproduced,
 * stored in a retrieval system, or transmitted, in any form or by any
 * means, electronic, mechanical, photocopying, recording or otherwise,
 * except as stated in the end-user licence agreement, without the prior
 * permission of the copyright owners.
 *
 * X/Open and the 'X' symbol are trademarks of X/Open Company Limited in
 * the UK and other countries.
 */

#ifndef lint
static char sccsid[] = "@(#)modetoi.c	1.4 (96/11/04) TETware release 3.2";
#endif

/************************************************************************

SCCS:   	@(#)modetoi.c	1.4 96/11/04 TETware release 3.2
NAME:		modetoi.c
PRODUCT:	TETware
AUTHOR:		Denis McConalogue, UniSoft Ltd.
DATE CREATED:	August 1993

DESCRIPTION:
	function to convert -M (mode) option(s) to integer
	avoids having to do string comparisons in various places.

MODIFICATIONS:

************************************************************************/

#include <sys/types.h>
#include "dtmac.h"
#include "dtmsg.h"
#include "xtilib_xt.h"
#include "tsinfo_xt.h"

/*
**	tet_mode2i() - convert -M (mode) option to integer
*/

int tet_mode2i(mode)
char *mode;
{

	int tet_tpi_mode = -1;

	if ((strcmp(mode, "TCP") == 0) || (strcmp(mode, "tcp") ==0))
		tet_tpi_mode = TPI_TCP;
	else if ((strcmp(mode, "OSICO") == 0) || (strcmp(mode, "osico") == 0))
		tet_tpi_mode = TPI_OSICO;
	else if ((strcmp(mode, "OSICL") == 0) || (strcmp(mode, "osicl") == 0))
		tet_tpi_mode = TPI_OSICL;

	return (tet_tpi_mode);
}
